clear;
close all;

addpath('../Common_Code')
addpath('../Common_Code/gensys')
addpath('../Common_Code/MSV')

%The Different Cases to run
Cases_name = {'Commitment - Cooperation','Commitment - Nash','Discretion - Cooperation','Discretion - Nash'};
Cases_var  = {'commitmentCooperation','commitmentNash','discretionCooperation','discretionNash'};

%-------------------------------------------------------------------------------
% Print the table
%-------------------------------------------------------------------------------
fprintf('Case | Welfare Loss\n');

for i_case = 1:length(Cases_name)
    %Calculate the welfare loss for this case
    eval(['WL = ',Cases_var{i_case},'_WL();']);
    
    %Print the table row 
    fprintf('%s | %1.4f\n',Cases_name{i_case},WL);
end
fprintf('\n');

