clear;
close all;

addpath('../Common_Code')
addpath('../Common_Code/gensys')

%The Different Cases to print
Cases_name = {'Commitment - Cooperation','Discretion - No Macroprudential','Discretion - Cooperation','Discretion - Nash','Discretion - Monetary Leader','Discretion - Macroprudential Leader'};
Cases_var  = {'commitment','noMacroPrud','cooperation','nash','monetary','macroPrud'};

%-------------------------------------------------------------------------------
% Print the table
%-------------------------------------------------------------------------------
fprintf('Case | Welfare losses benchmark | Optimal Weights | Walfare losses optimal\n')

for i_case = 1:length(Cases_var)
    %Calculate the welfare loss
    eval(['[WL_benchmark,OW,WL_OW] = ', Cases_var{i_case}, '_WL();']);
    
    %Print the row
    fprintf('%s | %1.4f | %s | %s\n',Cases_name{i_case},WL_benchmark,OW,WL_OW);
end 

fprintf('\n');